package com.eactive.eai.rms.data.entity.onl.transaction;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.eactive.eai.data.jpa.AbstractDataService;

@Service
@Transactional
public class TransactionTrackingFilterService extends
		AbstractDataService<TransactionTrackingFilter, TransactionTrackingFilterId, TransactionTrackingFilterRepository> {

	public List<TransactionTrackingFilter> findAllByUserId(String userId) {
		QTransactionTrackingFilter qTransactionTrackingFilter = QTransactionTrackingFilter.transactionTrackingFilter;
		return getJPAQueryFactory()
				.selectFrom(qTransactionTrackingFilter)
				.where(qTransactionTrackingFilter.id.userid.eq(userId))
				.fetch();
	}

}
